/* ---------------------------------------------------------- */
/* @(#) KRK.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* Automated Tape Allocation Manager Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2009 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* ---------------------------------------------------------- */
/* General section.  Applies to all products                  */
/* ---------------------------------------------------------- */

/* Tasks */

/* SELECT_ALL */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRK_SELECT_ALL";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRK                000000000000000000", 
  "SELECT_ALL [&SYSTEM]",
  "Krk:KRK1000",
  " ", 
  "KRK_SELECT_ALL", 
  "Krk:KRK1001", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* EXCLUDE_ALL */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRK_EXCLUDE_ALL";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRK                000000000000000000", 
  "EXCLUDE_ALL [&SYSTEM]",
  "Krk:KRK1002",
  " ", 
  "KRK_EXCLUDE_ALL", 
  "Krk:KRK1003", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* SELECT_SINGLE */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRK_SELECT_SINGLE";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRK                000000000000000000", 
  "SELECT_SINGLE [&SYSTEM] [&UNIT]",
  "Krk:KRK1004",
  " ", 
  "KRK_SELECT_SINGLE", 
  "Krk:KRK1005", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* EXCLUDE_SINGLE */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRK_EXCLUDE_SINGLE";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRK                000000000000000000", 
  "EXCLUDE_SINGLE [&SYSTEM] [&UNIT]",
  "Krk:KRK1006",
  " ", 
  "KRK_EXCLUDE_SINGLE", 
  "Krk:KRK1007", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Situations */
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRK_WAIT_NOHOLD"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRK"
 AND OBJNAME = "KRK_WAIT_NOHOLD"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("krk:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRK                000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090910000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRK_SMF_RECORD_122_SUBTYPE_2_OR_5.JOBSTEP25 *EQ * ) ",
"E",
"0",
"000000",
"*NONE",
"KRK_WAIT_NOHOLD",
"Krk:KRK1008",
"NNN",
"ATOM=KRKTYPE25.SYSNAME25;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRK" ,
  "KRK_WAIT_NOHOLD" ,
  "Y" ,
  "1090910000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRK_FAILED_ALLOC"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRK"
 AND OBJNAME = "KRK_FAILED_ALLOC"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("krk:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRK                000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090910000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRK_SMF_RECORD_122_SUBTYPE_3.JOBSTEP3 *EQ * ) ",
"E",
"0",
"000000",
"*NONE",
"KRK_FAILED_ALLOC",
"Krk:KRK1009",
"NNN",
"ATOM=KRKTYPE3.SYSNAME3;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRK" ,
  "KRK_FAILED_ALLOC" ,
  "Y" ,
  "1090910000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRK_VARY_FAILED"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRK"
 AND OBJNAME = "KRK_VARY_FAILED"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("krk:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRK                000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090910000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRK_SMF_RECORD_122_SUBTYPE_6.FLAG6 *EQ * ) ",
"E",
"0",
"000000",
"*NONE",
"KRK_VARY_FAILED",
"Krk:KRK1010",
"NNN",
"ATOM=KRKTYPE6.FLAG6;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRK" ,
  "KRK_VARY_FAILED" ,
  "Y" ,
  "1090910000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
